<div class="form-container">
  <h2>Signup</h2>
  <form [formGroup]="signupForm" (ngSubmit)="onSubmit()" class="signup">
    <div class="form-group">
      <label for="username">
        <span>Username</span>
      </label>
      <input type="text" name="username" formControlName="username" />
      <!-- <div [className]="validationStyles.usernameErr.msgClasses"> -->
      <div class="form-validation-message error-message">
        <p>This is a validation message</p>
      </div>
      <!-- <div [className]="validationStyles.usernameErr.iconClasses"> -->
      <div class="form-group-icon">
        <fa-icon [icon]="faCircleXmark" size="xl" class="error-icon"></fa-icon>
      </div>
    </div>
    <div class="form-group">
      <label for="password">
        <span>Password</span>
      </label>
      <input type="password" name="password" formControlName="password" />
      <div class="form-validation-message error-message">
        <p>This is a validation message</p>
      </div>
      <!-- <div [className]="validationStyles.usernameErr.iconClasses"> -->
      <div class="form-group-icon">
        <fa-icon [icon]="faCircleXmark" size="xl" class="error-icon"></fa-icon>
      </div>
    </div>
    <div class="button-container">
      <button type="submit" class="btn-success">Sign Up</button>
    </div>
  </form>
  <div class="login-signup-message">
    <a type="presentation" [routerLink]="['login']">Back to Login</a>
  </div>
</div>
